# Class BlockChainExplorer

#### Hierarchy

- unknown
  - BlockChainExplorer

- Defined in src/protobuf/pb_pb.d.ts:7341
- Defined in src/protobuf/pb_pb.d.ts:7356

#####
Index

### Constructors

constructor

### Methods

getName
getTxUrl
serializeBinary
setName
setTxUrl
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new BlockChainExplorer(): BlockChainExplorer

- #### Returns BlockChainExplorer

  Inherited from jspb.Message.constructor

## Methods

### getName

- getName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7342

### getTxUrl

- getTxUrl(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7345

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7348

### setName

- setName(value: string): BlockChainExplorer

- #### Parameters

  - ##### value: string

  #### Returns BlockChainExplorer

  - Defined in src/protobuf/pb_pb.d.ts:7343

### setTxUrl

- setTxUrl(value: string): BlockChainExplorer

- #### Parameters

  - ##### value: string

  #### Returns BlockChainExplorer

  - Defined in src/protobuf/pb_pb.d.ts:7346

### toObject

- toObject(includeInstance?: boolean): BlockChainExplorer.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns BlockChainExplorer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7349

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): BlockChainExplorer

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BlockChainExplorer

  - Defined in src/protobuf/pb_pb.d.ts:7352

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BlockChainExplorer, reader: BinaryReader): BlockChainExplorer

- #### Parameters

  - ##### message: BlockChainExplorer

  - ##### reader: BinaryReader

  #### Returns BlockChainExplorer

  - Defined in src/protobuf/pb_pb.d.ts:7353

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: BlockChainExplorer, writer: BinaryWriter): void

- #### Parameters

  - ##### message: BlockChainExplorer

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7351

### `Static` toObject

- toObject(includeInstance: boolean, msg: BlockChainExplorer): BlockChainExplorer.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BlockChainExplorer

  #### Returns BlockChainExplorer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7350

Generated using TypeDoc